using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms;
using System.Collections;
using System.Threading;


namespace Grid_Control
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.RowCount = 10;
            this.gridControl1.ColCount = 10;
            this.gridControl1.Model.Properties.DisplayHorzLines = false;
            this.gridControl1.Model.Properties.DisplayVertLines = false;
            this.gridControl1.TableStyle.Borders.All = new GridBorder(GridBorderStyle.Solid,this.gridControl1.Model.Properties.GridLineColor);//,GridBorderWeight.Medium);
        }
        private void button1_Click(object sender, EventArgs e)
        {   
            GridRangeInfo range = this.gridControl1.Model.SelectedRanges.ActiveRange;

            // Custom color are set thorgh the Color argument
            // Styles are set through the BorderStyle argument
            // Weight of the Border set though the BorderWeight argument
            GridBorder border = new GridBorder(GridBorderStyle.Standard);//; Color.White, GridBorderWeight.Thick);
            for (int row = range.Top; row <= range.Bottom; row++)
            {
                for (int col = range.Left; col <= range.Right; col++)
                {
                    this.gridControl1[row, col].Borders.All= border;                   
                }
            }
            this.gridControl1.Refresh();
        }
    }
}
